#!/bin/sh
# This creates and stuff a sample database for samples.tlcc
if [ "$1" = "create" ] ; then
	mysqladmin create sample
	mysql sample <<-EOF
		create table test (
			name char(30),
			address char(30),
			telephone char(20),
			age int
		);
	EOF
elif [ "$1" = "delete" ] ; then
	mysqladmin drop sample
elif [ "$1" = "stuff" ] ; then
	mysql sample <<-EOF
		insert into test (name,address,telephone,age) values ('jack','111 street','111-2222',11);
		insert into test (name,address,telephone,age) values ('john','222 street','222-2222',22);
		insert into test (name,address,telephone,age) values ('joe','333 street','333-2222',33);
	EOF
else
	echo sample_table.sh "create | delete | stuff"
fi

