/* _dict.cc 20/02/1999 13.11.30 */
/* nsql.cc 04/06/2001 22.41.00 */
PUBLIC NSQL::NSQL (const char *server, const char *db);
PUBLIC NSQL::NSQL (const char *server,
	 const char *db,
	 const char *user,
	 const char *passwd);
PUBLIC NSQL::NSQL (SSTREAM *sout);
PUBLIC NSQL::NSQL (NSQL_ARGS&args);
PUBLIC NSQL::~NSQL (void);
PUBLIC int NSQL::disconnect (void);
PUBLIC int NSQL::connect (void);
PUBLIC int NSQL::query (const char *req);
PUBLIC int NSQL::queryf (const char *ctl, ...);
PUBLIC int NSQL::vqueryf (const char *ctl, va_list list);
PUBLIC int NSQL::a_query (const char *req);
PUBLIC int NSQL::a_queryf (const char *ctl, ...);
PUBLIC int NSQL::a_vqueryf (const char *ctl, va_list list);
PUBLIC const char *NSQL::error (void);
PUBLIC MYSQL_RES *NSQL::store_result (void);
PUBLIC void NSQL::free_result (MYSQL_RES *res);
PUBLIC NSQL_ARGS::NSQL_ARGS (void);
PUBLIC NSQL_ARGS::NSQL_ARGS (const char *_server, const char *_db);
PUBLIC NSQL_ARGS::~NSQL_ARGS (void);
PUBLIC void NSQL_ARGS::setserver (const char *s);
PUBLIC void NSQL_ARGS::setdb (const char *s);
PUBLIC int NSQL_ARGS::isok (void);
PUBLIC NSQL_ENCODE::NSQL_ENCODE (void);
PUBLIC NSQL_ENCODE::~NSQL_ENCODE (void);
PUBLIC const char *NSQL_ENCODE::enc (const char *s);
PUBLIC const char *NSQL_ENCODE::enc (const SSTRING&s);
PUBLIC const char *NSQL_ENCODE::enc (const SSTRING *s);
/* query.cc 04/06/2001 22.42.08 */
void _F_sql_query::dostart (int);
void _F_sql_query::doend (void);
void _F_sql_query::empty (void);
void _F_sql_query::onerow (const char *[],
	 int ,
	 NSQL_FIELD_NAMES&fields);
/* sqlrec.cc 01/03/2001 17.01.52 */
PUBLIC NSQL_FIELD_NAMES::NSQL_FIELD_NAMES (int _nbf,
	 const char *_fields[]);
PUBLIC int NSQL_FIELD_NAMES::getnb (void)const;
PUBLIC const char *NSQL_FIELD_NAMES::getfieldname (int no)const;
PUBLIC NSQL_FIELD::NSQL_FIELD (void);
PUBLIC NSQL_FIELD::NSQL_FIELD (const char *_name);
PUBLIC NSQL_FIELD::NSQL_FIELD (const char *_name, unsigned _flags);
PUBLIC NSQL_FIELD::~NSQL_FIELD (void);
PUBLIC const char *NSQL_FIELD::getsqlname (void)const;
PUBLIC bool NSQL_FIELD::tstflag (unsigned one_flag);
PUBLIC void NSQL_FIELD::setflag (unsigned one_flag);
PUBLIC void NSQL_FIELD::clrflag (unsigned one_flag);
PUBLIC void NSQL_FIELD::clear (void);
PROTECTED NSQL_RECORD::NSQL_RECORD (void);
PUBLIC void NSQL_RECORD::rstmodified (void);
PUBLIC void NSQL_RECORD::clear (void);
PUBLIC int NSQL_RECORD::updatev (NSQL&ns,
	 const char *table,
	 const char *where,
	 va_list list);
PUBLIC int NSQL_RECORD::update (NSQL&ns,
	 const char *table,
	 const char *where,
	 ...);
PUBLIC int NSQL_RECORD::update (const char *table,
	 const char *where,
	 ...);
PUBLIC int NSQL_RECORD::insert (NSQL&ns, const char *table);
PUBLIC int NSQL_RECORD::insert (const char *table);
PUBLIC void NSQL_RECORD::set (NSQL_FIELD_NAMES&fields,
	 const char *row[]);
/* tlmpsql.cc 20/07/1999 21.59.22 */
